Monitoring
===

The monitoring is built around the `kube-prometheus-stack`. The standard monitoring stack in the Kubernetes space. It's based on the prometheus-operator, that manages Prometheus and Alertmanager and integtrates them with the Kubernetes API, and Grafana, which is used to provide dashboards and visualisation.

Additionally it deploys Sloth, as SLO solution. It provides an SLO CRD to allow apps to define their own SLOs which can provide lazier alerting based on error budgets.

Links
---

- [prometheus-operator Docs](https://prometheus-operator.dev/)
- [kube-prometheus-stack Helm Chart](https://artifacthub.io/packages/helm/prometheus-community/kube-prometheus-stack)
- [kube-prometheus-stack Source Code](https://github.com/prometheus-community/helm-charts/tree/main/charts/kube-prometheus-stack)
- [Sloth Docs](https://sloth.dev/)
- [Sloth Helm Chart](https://artifacthub.io/packages/helm/sloth/sloth)
- [Sloth Source Code](https://github.com/slok/sloth/)